Bug 134403 - kword_docvariables.po: guimenuitem is actually guisubmenu
Summary: kword_docvariables.po: guimenuitem is actually guisubmenu
Status: RESOLVED FIXED
Alias: None
Product: docs.kde.org
Classification: Websites
Component: general (show other bugs)
Version: unspecified
Platform: Debian testing Linux
: NOR normal (vote)
Target Milestone: ---
Assignee: Sander Koning
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2006-09-20 19:31 UTC by Frederik Schwarzer
Modified: 2006-11-23 16:06 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In:


Attachments
Patch to fix the stuff mentioned here (6.30 KB, patch)
2006-10-03 17:37 UTC, Sander Koning
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Frederik Schwarzer 2006-09-20 19:31:35 UTC
Version:            (using KDE KDE 3.5.4)
Installed from:    Debian testing/unstable Packages

I found some places in docs of kword, where <guisubmenu>s are described as <guiitem>s.

docvariables.docbook:200
"To insert the time in the document, simply place the cursor in the text box 
where the time should be inserted and select <menuchoice> <guimenu>
Insert</guimenu><guimenuitem>Variable</guimenuitem><guimenuitem>
Time</guimenuitem> </menuchoice> from the menubar."

Here <guimenuitem>Variable</guimenuitem>
and <guimenuitem>Time</guimenuitem>
should be <guisubmenu>.


docvariables.docbook:46
"To insert the date in the document, simply place the cursor in the text box 
where the date should be inserted and select <menuchoice> <guimenu>
Insert</guimenu><guimenuitem>Variable</guimenuitem><guimenuitem>
Date</guimenuitem> </menuchoice> from the menubar."

Same here

cheers
Comment 1 Frederik Schwarzer 2006-09-20 20:38:39 UTC
Same here again:

docvariables.docbook:344
"To insert the current page number, place the cursor where you want the page 
number and select <menuchoice> <guimenu>Insert</guimenu><guimenuitem>
Variable</guimenuitem><guimenuitem>Page</guimenuitem> <guimenuitem>
Page Number</guimenuitem> </menuchoice> from the menubar."

docvariables.docbook:354
"To insert the title of the section, place the cursor where you want the 
variable and select <menuchoice> <guimenu>Insert</guimenu><guimenuitem>
Variable</guimenuitem><guimenuitem>Page</guimenuitem> <guimenuitem>
Section Title</guimenuitem> </menuchoice> from the menubar."


... and many more ...
Maybe one should search for "Insert" or "Variable". It seems that all these descriptions are the same.

cheers
Comment 2 Sander Koning 2006-10-03 17:37:31 UTC
Created attachment 17998 [details]
Patch to fix the stuff mentioned here

Will apply when 1.6.0 is out.
Comment 3 Frederik Schwarzer 2006-10-03 19:09:37 UTC
I figured out, there are no <guisubmenu>s at all in kword docs at the moment.
Specifically I saw some missing (or wrong described) guisubmenus in editing.docbook.
I have not picked out the incidences because I am short of time at the moment. Sorry for that. :)
Comment 4 Sander Koning 2006-10-03 19:12:45 UTC
I'll have to make a larger patch then - will do so later :)
Comment 5 Sander Koning 2006-10-17 10:01:27 UTC
SVN commit 596320 by skoning:

Small fixes, lot of bugs closed.

BUG:134403
BUG:134843
BUG:134844
BUG:134845
BUG:134848
BUG:134849
BUG:134850
BUG:134851



 M  +5 -5      kchart/index.docbook  
 M  +4 -4      kformula/index.docbook  
 M  +6 -6      kivio/usage.docbook  
 M  +1 -1      kivio/working.docbook  
 M  +1 -1      kpresenter/faq.docbook  
 M  +1 -1      kpresenter/tutorial.docbook  
 M  +4 -4      krita/commands-dialogs.docbook  
 M  +2 -2      krita/commands-palettes.docbook  
 M  +2 -2      krita/commands-toolbars.docbook  
 M  +1 -1      krita/developers.docbook  
 M  +1 -1      krita/tutorial-tablet.docbook  
 M  +16 -16    krita/using-filters.docbook  
 M  +1 -2      kspread/format.docbook  
 M  +12 -12    kword/docvariables.docbook  
Comment 6 Burkhard Lück 2006-11-23 16:06:12 UTC
SVN commit 607182 by lueck:

changed all wrong guimenuitem to guisubmenu + minor fixes for wrong menuitems
remaining to check kexi, kivio, kplato, krita, kugar for missing guisubmenu
CCBUG:134403

 M  +2 -2      kchart/index.docbook  
 M  +1 -1      koffice/index.docbook  
 M  +1 -1      koshell/index.docbook  
 M  +32 -14    kspread/commands.docbook  
 M  +3 -3      kspread/configdialog.docbook  
 M  +1 -1      kword/doccomments.docbook  
 M  +1 -1      kword/doclinks.docbook  
 M  +6 -6      kword/editing.docbook  
 M  +1 -1      kword/expressions.docbook  
 M  +1 -1      kword/footendnotes.docbook  
 M  +2 -2      kword/formatframes.docbook  
 M  +2 -2      kword/frames.docbook  
 M  +26 -26    kword/mbtb.docbook  
 M  +2 -2      kword/opt.docbook  
 M  +1 -1      kword/styles.docbook  
 M  +9 -9      kword/table.docbook